Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.WindowState

    java.lang.Object
      java.lang.Enum<Qt.WindowState>
          com.trolltech.qt.core.Qt.WindowState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.WindowState>

Enclosing interface:
  Qt

    public static enum Qt.WindowState

extends java.lang.Enum<Qt.WindowState>
implements QtEnumerator

This enum type is used to specify the current state of a top-level window.

The states are

Enum Constant Summary
`WindowActive` The window is the active window, i.e. it has keyboard focus.
`WindowFullScreen` The window fills the entire screen without any frame around it.
`WindowMaximized` The window is maximized with a frame around it.
`WindowMinimized` The window is minimized (i.e. iconified).
`WindowNoState` The window has no state set (in normal state).

Method Summary
`static Qt.WindowStates` | `createQFlags(Qt.WindowState... values)`
`static Qt.WindowState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.WindowState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.WindowState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WindowNoState

    public static final Qt.WindowState WindowNoState

  The window has no state set (in normal state).

### WindowMinimized

    public static final Qt.WindowState WindowMinimized

  The window is minimized (i.e. iconified).

### WindowMaximized

    public static final Qt.WindowState WindowMaximized

  The window is maximized with a frame around it.

### WindowFullScreen

    public static final Qt.WindowState WindowFullScreen

  The window fills the entire screen without any frame around it.

### WindowActive

    public static final Qt.WindowState WindowActive

  The window is the active window, i.e. it has keyboard focus.

Method Detail

### values

    public static final Qt.WindowState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.WindowState c : Qt.WindowState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.WindowState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.WindowStates createQFlags(Qt.WindowState... values)

### resolve

    public static Qt.WindowState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD